package models

// FromError creates a Error instance from a go error.
func FromError(err error) *Error {
	if err == nil {
		return nil
	}

	return &Error{
		Message: err.Error(),
	}
}

func (e Error) Error() string {
	return e.Message
}
